{% extends 'base.html' %}
{% block main_content %}
    <div style="text-align: center; width: auto;
    height:auto; margin-right:auto; margin-left:200px;">
    {% for r in table %}
        <div style="float:left">
        {% for c in r %}
             <form action="" method="post">
            {% csrf_token %}
            {% if c == 2 %}
                <input type="submit" style="background: #000000; width:50px; height:50px;
                            color:white;"
                       name="{{forloop.counter}}_{{forloop.parentloop.counter}}" value="2">
            {% elif c == 1 %}
                <input type="submit" style="background: #ffffff;  width:50px; height:50px;"
                       name="{{forloop.counter}}_{{forloop.parentloop.counter}}" value="1">
            {% else %}
                <input type='submit' style="background: #c1c1c1;  width:50px; height:50px;"
                       name="{{forloop.counter}}_{{forloop.parentloop.counter}}" value="o">
            {% endif %}
             </form>
        {% endfor %}
        </div>
    {% endfor %}
    </div>
{% endblock %}